import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class SnackBarService {
    snackbarSubject: Subject<any>;
    snackbarState: import("rxjs").Observable<any>;
    constructor();
    show(message: string, type?: 'success' | 'warning' | 'info' | 'alert' | 'error'): void;
    hide(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SnackBarService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SnackBarService>;
}
